<?php
/**
 * @version		$Id: quanta.php 139 2009-06-25 05:22:04Z eddieajau $
 * @package		TAOJ.Quanta
 * @subpackage	com_quanta
 * @copyright	Copyright (C) 2009 New Life in IT Pty Ltd. All rights reserved.
 * @license		GNU General Public License <http://www.gnu.org/copyleft/gpl.html>
 * @link		http://www.theartofjoomla.com
 */

// no direct access
defined('_JEXEC') or die;

// PHP 5 check
if (version_compare(PHP_VERSION, '5.0.0', '<')) {
	JError::raiseWarning(500, JText::_('TAOJ_Use_PHP5'));
}

if (!function_exists('jximport')) {
	require JPATH_COMPONENT.DS.'libraries'.DS.'jxtended.php';
}

if (version_compare(JX_LIBRARIES,'1.0.11', '<')) {
	return JError::raiseWarning(500, JText::sprintf('JX_PLUGIN_OUTDATED', '1.0.11'));
}

// Include dependancies
jximport('jxtended.application.component.controller');

require_once JPATH_COMPONENT.DS.'version.php';

$controller = JxController::getInstance('Quanta');
$controller->execute(JRequest::getVar('task'));
$controller->redirect();

// Display the copyright notice and version
$version = new QuantaVersion;
$version->showFooter();
